Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # iterator_type_from_pixel Struct Template Reference [xxx_type_from_pixel] `#include <metafunctions.hpp>` ## Detailed Description ### template<typename Pixel, bool IsPlanar = false, bool IsStep = false, bool IsMutable = true> struct boost::gil::iterator_type_from_pixel< Pixel, IsPlanar, IsStep, IsMutable > Returns the type of a pixel iterator given the pixel type, whether it operates on planar data, whether it is a step iterator, and whether it is mutable.
The documentation for this struct was generated from the following file: metafunctions.hpp